Last modified: 2014-09-18 06:41:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 69291 - Run migrateAccount.php without --safe or --auto
Run migrateAccount.php without --safe or --auto
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Highest enhancement (vote)
: ---
Assigned To: Kunal Mehta (Legoktm)
: shell
Depends on:
Blocks: 16660 29782 sulfinalization 39817
  Show dependency treegraph
 
Reported: 2014-08-08 11:28 UTC by Nemo
Modified: 2014-09-18 06:41 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2014-08-08 11:28:01 UTC
From https://www.mediawiki.org/w/index.php?title=SUL_finalisation&oldid=1094046 , next step for bug 39817:

Iterate over all unattached accounts with email and, where all accounts for a username have the same (confirmed) email, merge them all. == Run migrateAccount.php without --safe and without specifying homewiki in userlist.

(Note: this skips usernames used by multiple emails across wikis; only with the --auto argument a winner is selected in such cases, with the same criteria as Special:MergeAccount uses.)

This only needs the list of usernames which in https://www.mediawiki.org/w/index.php?title=Admin_tools_development/SUL_Audit&oldid=1073768 are counted as "with e-mail[3] 	3,350,676" (or even just the "non-attached accounts 	4,242,868", those without email are skipped).

This is totally non-disruptive and it's even less than what we now do automatically on login, but those 3M accounts have mostly not logged in for a long time. We really need to know if after this cleanup we have millions or merely thousands unmerged accounts, otherwise it's impossible to tell the order of magnitude of actual conflicts there are.
Comment 1 Stefan2 2014-08-08 12:55:07 UTC
Will bug 68069 be unnecessary if the "--auto" flag is used?
Comment 2 Nemo 2014-08-09 13:08:19 UTC
(In reply to Stefan2 from comment #1)
> Will bug 68069 be unnecessary if the "--auto" flag is used?

Probably. Which is why it's out of scope for this report.
Comment 3 Kunal Mehta (Legoktm) 2014-08-17 07:04:28 UTC
Currently generating the list of usernames on terbium...
Comment 4 Kunal Mehta (Legoktm) 2014-08-17 21:08:22 UTC
Now running the actual script on terbium.
Comment 5 Kunal Mehta (Legoktm) 2014-08-21 21:14:07 UTC
Sorry, I forgot to post here when it finished:

2014-08-18 15:42:12 processed 1528652 usernames (22.9/sec), 10 (0.0%) fully migrated, 7938 (0.5%) partially migrated

So we now have 10 new global accounts where all the local accounts had the same email.

legoktm@terbium:~/sul$ grep "ATTACHING" bug69291.log | wc -l
52

52 local accounts were attached to their already existing global ones.

Command I was running was: mwscript ../../../../../home/legoktm/migrateAccount.php --wiki=aawiki --attachmissing=1 --attachbroken=1 --suppressrc=1 --userlist=/home/legoktm/sul/bug69291.tsv | tee bug69291.log
Comment 6 Nemo 2014-09-04 09:56:56 UTC
This is a case that would have been merged, had they set the same email on all accounts before the script was run, right? https://meta.wikimedia.org/?oldid=9729849#Jborme.40global
Comment 7 Kunal Mehta (Legoktm) 2014-09-04 17:07:46 UTC
Yup, but according to the log though they hadn't set / confirmed their email address on all wikis though:

CentralAuth account migration for: Jborme
ERROR: Auto migration is disabled and email addresses do not match for: Jborme

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links